Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database XML Java API Reference 10g Release 2 (10.2) B14293-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.soap.client
Class ServiceManagerClient

`java.lang.Object
oracle.soap.client.ServiceManagerClient`

public class ServiceManagerClient
extends java.lang.Object

This is a client to talk to an XML-SOAP ServiceManager to manage services deployed on the server.

Constructor Summary
`ServiceManagerClient(java.net.URL routerURL)`

Method Summary
`void` | `deploy(ServiceDeploymentDescriptor dd)`
`java.lang.String[]` | `list()`
`static void` | `main(java.lang.String[] args)` Command-line app for managing services on a SOAP4J server.
`ServiceDeploymentDescriptor` | `query(java.lang.String serviceName)`
`void` | `undeploy(java.lang.String serviceName)`
`java.lang.String` | `version()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceManagerClient

    public ServiceManagerClient(java.net.URL routerURL)

Method Detail

### deploy

    public void deploy(ServiceDeploymentDescriptor dd)
                throws SOAPException

  Throws:
    `SOAPException`

### undeploy

    public void undeploy(java.lang.String serviceName)
                  throws SOAPException

  Throws:
    `SOAPException`

### list

    public java.lang.String[] list()
                            throws SOAPException

  Throws:
    `SOAPException`

### version

    public java.lang.String version()
                             throws SOAPException

  Throws:
    `SOAPException`

### query

    public ServiceDeploymentDescriptor query(java.lang.String serviceName)
                                      throws SOAPException

  Throws:
    `SOAPException`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Command-line app for managing services on a SOAP4J server.
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database XML Java API Reference 10g Release 2 (10.2) B14293-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005, Oracle. All rights reserved.